SystemOrganization addCategory: #'XMLRPC-Server-Tests'!

TestCase subclass: #XMLRPCServerEchoTest
	instanceVariableNames: 'newServer'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'XMLRPC-Server-Tests'!

!XMLRPCServerEchoTest methodsFor: 'as yet unclassified' stamp: 'Skrish 9/19/2010 11:33'!
setUp
"self new setUp"
"XMLRPCHttpModule stop"
	newServer := false.
	XMLRPCStandardEcho addTests.
	(HttpService servicesNamed: 'test123') 
		ifEmpty: [XMLRPCHttpModule start; setDebugMode.
			(Delay forMilliseconds: 5) wait.
			newServer := true]! !

!XMLRPCServerEchoTest methodsFor: 'as yet unclassified' stamp: 'Skrish 9/19/2010 11:17'!
tearDown
	 XMLRPCHttpModule stop ! !

!XMLRPCServerEchoTest methodsFor: 'as yet unclassified' stamp: 'Skrish 9/19/2010 11:32'!
testThroughClient
" bring in tests here independently in next version.. for now just reuse the XMLRPCTests"

 | client |

client := XMLRPCTest suite.
client run.

	
! !

TestCase subclass: #XMLRPCServerTest
	instanceVariableNames: 'newServer'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'XMLRPC-Server-Tests'!

!XMLRPCServerTest methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 9/19/2012 15:47'!
setUp
	newServer := false.
	XMLRPCStandardValidator addTests.
	(HttpService servicesNamed: 'xmlrpcd') 
		ifEmpty: [XMLRPCHttpModule startOn:8081; setDebugMode.
			(Delay forMilliseconds: 5) wait.
			newServer := true]! !

!XMLRPCServerTest methodsFor: 'as yet unclassified' stamp: 'maf 3/1/2005 13:51'!
tearDown
	#('validator1.arrayOfStructsTest' 'validator1.countTheEntities' 'validator1.echoStructTest' 'validator1.easyStructTest' 'validator1.moderateSizeArrayCheck' 'validator1.nestedStructTest' 'validator1.simpleStructReturnTest' 'validator1.manyTypesTest') do: [ :xmlrpcService |
	XMLRPCServerRequest removeService: xmlrpcService asSymbol].
	newServer ifTrue: [ XMLRPCHttpModule stop ]! !

!XMLRPCServerTest methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 9/19/2012 15:48'!
testDictionary
	| d p r |
	d := Dictionary new.
	d at: 'true' put: true.
	d at: 'Markus' put: 'Fritsche'.
	p := XMLRPCProxy new url: 'http://localhost:8081/' asUrl.
	r := p invokeMethod: 'validator1.echoStructTest' withStruct: d.
	self assert: r = d! !

!XMLRPCServerTest methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 9/19/2012 15:48'!
testHallo
	| p |
	p := XMLRPCProxy new url: 'http://localhost:8081/' asUrl.
	p invokeMethod: 'validator1.echoStructTest' withArgs: #('Hallo')
! !
